Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024936
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-10-14 10:262013-12-05 17:21
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP29
StatusclosedFix in branchFixed in SCM revision4803fc53d4ad
ProjectionnoneETAnoneTarget VersionRMP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024936: Wrong transaction created with quotations

DescriptionWrong transaction created with quotations
Steps To Reproduce-Login in https://livebuilds.openbravo.com/retail_pi_pgsql/ [^]
-Go to POS terminal and create a new terminal for organization "Vall blanca store"
-Create a "OBPOS_payment.cash" payment method related to a new financial account
-Go to terminal "VBS-1" and create a quotation.
-Log out and log in in your new terminal
-Go to popup "Quotations" and load previously created quotation
-Change the quotation to order.
-Pay it

Verify that document is fine but the payment is related to financial account "Cashbook - Vall Blanca Store" instead of the new financial account
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062067)
hgbot (developer)
2013-11-11 09:51

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 4803fc53d4ad19a541bd43c9e536c4b1fccde1bf
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Nov 11 09:51:05 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4803fc53d4ad19a541bd43c9e536c4b1fccde1bf [^]

Fixed issue 24936: Wrong transaction created with quotations

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062198)
hgbot (developer)
2013-11-18 12:55

Repository: erp/pmods/org.openbravo.retail.posterminal-splitlines
Changeset: 4803fc53d4ad19a541bd43c9e536c4b1fccde1bf
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Nov 11 09:51:05 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4803fc53d4ad19a541bd43c9e536c4b1fccde1bf [^]

Fixed issue 24936: Wrong transaction created with quotations

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062279)
guilleaer (developer)
2013-11-20 10:33

Verified
(0062566)
hgbot (developer)
2013-12-05 12:11

Repository: erp/pmods/org.openbravo.retail.posterminal.cirque
Changeset: 4803fc53d4ad19a541bd43c9e536c4b1fccde1bf
Author: Miguel A. Alsasua <miguel.alsasua <at> openbravo.com>
Date: Mon Nov 11 09:51:05 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/4803fc53d4ad19a541bd43c9e536c4b1fccde1bf [^]

Fixed issue 24936: Wrong transaction created with quotations

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0062615)
guilleaer (developer)
2013-12-05 17:21

Reclosing

- Issue History
Date Modified Username Field Change
2013-10-14 10:26 jecharri New Issue
2013-10-14 10:26 jecharri Assigned To => marvintm
2013-10-14 10:26 jecharri Triggers an Emergency Pack => No
2013-10-14 10:35 jecharri Target Version RMP29 => RMP28
2013-10-25 13:22 dmitry_mezentsev Target Version RMP28 => RMP29
2013-11-11 09:51 hgbot Checkin
2013-11-11 09:51 hgbot Note Added: 0062067
2013-11-11 09:51 hgbot Status new => resolved
2013-11-11 09:51 hgbot Resolution open => fixed
2013-11-11 09:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4803fc53d4ad19a541bd43c9e536c4b1fccde1bf [^]
2013-11-18 12:55 hgbot Checkin
2013-11-18 12:55 hgbot Note Added: 0062198
2013-11-18 12:55 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4803fc53d4ad19a541bd43c9e536c4b1fccde1bf [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4803fc53d4ad19a541bd43c9e536c4b1fccde1bf [^]
2013-11-20 10:33 guilleaer Review Assigned To => guilleaer
2013-11-20 10:33 guilleaer Note Added: 0062279
2013-11-20 10:33 guilleaer Status resolved => closed
2013-11-20 10:33 guilleaer Fixed in Version => RMP29
2013-12-05 12:11 hgbot Checkin
2013-12-05 12:11 hgbot Note Added: 0062566
2013-12-05 12:11 hgbot Status closed => resolved
2013-12-05 12:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-splitlines/rev/4803fc53d4ad19a541bd43c9e536c4b1fccde1bf [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.cirque/rev/4803fc53d4ad19a541bd43c9e536c4b1fccde1bf [^]
2013-12-05 17:21 guilleaer Note Added: 0062615
2013-12-05 17:21 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker